Skip to main content
GET
/
api
/
v3
/
leaves
List leaves
curl --request GET \
  --url https://{host}/api/v3/leaves \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/leaves"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/leaves', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "items": [
      {
        "id": "<string>",
        "date": "2023-12-25",
        "isAm": true,
        "leaveAccountId": 123,
        "leavePeriodId": 123,
        "leaveAccount": {
          "id": 123,
          "name": "<string>"
        },
        "leavePeriod": {
          "id": 123,
          "ownerId": 123,
          "isConfirmed": true,
          "confirmationDate": "2023-11-07T05:31:56Z",
          "attachmentId": "<string>",
          "leaves": [
            {}
          ],
          "logs": [
            {
              "id": 123,
              "date": "2023-11-07T05:31:56Z",
              "comment": "<string>"
            }
          ]
        },
        "value": "<string>",
        "creationDate": "2023-11-07T05:31:56Z",
        "isActive": true,
        "cancellationDate": "2023-11-07T05:31:56Z",
        "cancellationUserId": null,
        "comment": "<string>"
      }
    ]
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

paging
string
required

{offset},{limit}. Defaults to 0,1000.

Example:

"2000,500"

leaveAccountId
integer[]

ID of the leave-account the leave must have been taken on.

Required range: x >= 1
date
string
required

{comparator},{date-time}

Examples:

"2021-01-01"

"since,2021-01-01"

"until,2021-01-01"

"between,2021-01-01,2021-01-31"

leavePeriod.ownerId
integer[]

Employee's identifier

Required range: x >= 1
leavePeriod.owner.departmentId
integer[]

Employees department identifier

Required range: x >= 1

Employees establishment (i.e. legal-entity) identifier

Required range: x >= 1

Response

OK

data
object